Bug 2040973 - Make Braille printing support optional
Summary: Make Braille printing support optional
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups-filters
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-14 23:42 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2022-01-26 23:39 UTC (History)
2 users (show)

Fixed In Version: cups-filters-1.28.11-1.fc35 cups-filters-1.28.11-1.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-21 16:21:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2022-01-14 23:42:24 UTC
Description of problem:
A recent change in cups-filters introduced new dependencies on:
antiword
liblouis
liblouis-utils
liblouisutdml
liblouisutdml-utils
i.e. 5 new dependent packages and 11MB on disk (3MB download).

Version-Release number of selected component (if applicable):
cups-filters-1.28.10-2.fc35 

How reproducible:
Always.

Steps to Reproduce:
1. Install cups-filters-1.28.10-1.fc35
2. dnf update cups-filters

Actual results:
cups-filters gets updated and 5 new packages get installed.

Expected results:
Only cups-filters gets updated if weak dependencies are disabled.

Additional info:
See https://bugzilla.redhat.com/show_bug.cgi?id=1995728#c11 for initial discussion.

Comment 1 Fedora Update System 2022-01-17 12:16:01 UTC
FEDORA-2022-e6b3dca191 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e6b3dca191

Comment 2 Fedora Update System 2022-01-17 12:27:40 UTC
FEDORA-2022-ee46ca0e15 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee46ca0e15

Comment 3 Fedora Update System 2022-01-17 13:04:24 UTC
FEDORA-2022-e212b4d9c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e212b4d9c9

Comment 4 Fedora Update System 2022-01-17 13:15:29 UTC
FEDORA-2022-45f6452f64 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-45f6452f64

Comment 5 Fedora Update System 2022-01-17 16:29:56 UTC
FEDORA-2022-e212b4d9c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e212b4d9c9

Comment 6 Fedora Update System 2022-01-17 16:30:05 UTC
FEDORA-2022-45f6452f64 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-45f6452f64

Comment 7 Fedora Update System 2022-01-18 01:23:19 UTC
FEDORA-2022-45f6452f64 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-45f6452f64`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-45f6452f64

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-01-18 01:44:17 UTC
FEDORA-2022-e212b4d9c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e212b4d9c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e212b4d9c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-01-18 10:41:40 UTC
FEDORA-2022-08be5d76dd has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-08be5d76dd

Comment 10 Fedora Update System 2022-01-18 10:41:41 UTC
FEDORA-2022-efb6b8ed7b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-efb6b8ed7b

Comment 11 Fedora Update System 2022-01-19 02:34:27 UTC
FEDORA-2022-efb6b8ed7b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-efb6b8ed7b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-efb6b8ed7b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-01-19 02:41:45 UTC
FEDORA-2022-08be5d76dd has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-08be5d76dd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-08be5d76dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-01-21 16:21:41 UTC
FEDORA-2022-efb6b8ed7b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-01-26 23:39:16 UTC
FEDORA-2022-08be5d76dd has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.